# Create sender for project

Creates a sender for a project. The possible combinations of region, business manager and hosting type are the following
| Region |  | SINCH_BR | SINCH_MX | SINCH_UK |
|  --- | --- | --- | --- | --- |
| BR | Embedded (ES) | ✅ Supported | ✅ Supported | ❌ Unsupported |
|  | Partner-initiated | ✅ Supported | ✅ Supported | ❌ Unsupported |
| EU | Embedded (ES) | ❌ Unsupported | ❌ Unsupported | ✅ Supported |
|  | Partner-initiated | ❌ Unsupported | ❌ Unsupported | ✅ Supported |
| US | Embedded (ES) | ✅ Supported | ✅ Supported | ✅ Supported |
|  | Partner-initiated | ✅ Supported | ✅ Supported | ✅ Supported |

Endpoint: POST /v1/projects/{projectId}/whatsapp/senders
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

## Request body:

  - `application/json` (unknown)
    Sender data

## Request fields (application/json):

  - `region` (string)
    Region sender is provisioned in. If not provided, default region for the country set in the billing account will be used. For partner-initiated accounts, the value set for WhatsApp account will be used.
    Enum: "BR", "EU", "US"

  - `metaLocalStorage` (string)
    Region sender store the data in Meta. If not provided, the default value set for the chosen region will be used.
    Enum: "AE", "AU", "BH", "BR", "CA", "CH", "DE", "GB", "ID", "IN", "JP", "KR", "SG", "US", "ZA"

  - `wabaId` (string, required)
    WhatsApp Business Account that will be connected to the created sender. If left empty, we will try to find the WhatsApp Business Account using your projectId.

  - `phoneNumberId` (string, required)
    Phone number ID linked to the WhatsApp Business Account.

  - `businessManager` (string)
    Business manager.
    Enum: "SINCH_BR", "SINCH_MX", "SINCH_UK"

  - `authenticationCode` (string)
    Single-use access code.

  - `region` (string)
    Region sender is provisioned in.
    Enum: "BR", "EU", "US"

  - `metaLocalStorage` (string)
    Region sender store the data in Meta.
    Enum: "AE", "AU", "BH", "BR", "CA", "CH", "DE", "GB", "ID", "IN", "JP", "KR", "SG", "US", "ZA"

  - `details` (object, required)
    Sender input details and information.

  - `details.countryCode` (string, required)
    Country code of sender phone number.

  - `details.phoneNumber` (string, required)
    Sender phone number without country code.

  - `details.displayName` (string, required)
    Sender display name within WhatsApp.

  - `status` (string)
    Create as draft or submit. Defaults to submit.
    Enum: "DRAFT", "SUBMIT"

  - `phoneNumberProvider` (string, required)
    If the phone number is provided by Sinch or the customer.
    Enum: "CUSTOMER", "SINCH"

  - `saveDraftOnFailure` (boolean)
    Flag to save sender as draft if submission fails. Defaults to false.

  - `facebookAccessToken` (string)
    Long-Lived User access token. Mandatory if `facebookCode` is not provided.

  - `facebookCode` (string)
    Single-use access code. Mandatory if `facebookAccessToken` is not provided.

  - `name` (string, required)
    Sender name.

## Request examples:

  - `Body request for ES` (unknown)
    Example body request to create an ES.

  - `Body request for new-number sender flow` (unknown)
    Example body request to create a sender with provisioned phone number.

  - `Body request for Partner Initiated Sender` (unknown)
    Example body request to create a partner-initiated sender.

  - `Body request for ES with Facebook token [Deprecated]` (unknown)
    Example body request to create an ES. [Deprecated]

  - `Body request for ES with Facebook code [Deprecated]` (unknown)
    Example body request to create an ES. [Deprecated]

## Response 201:

  - `201` (unknown)
    Sender

## Response 201 fields (application/json):

  - `id` (string, required)
    The unique ID of the sender.

  - `state` (string)
    The current state of the sender.
    Enum: "ACTIVE", "IN_PROGRESS", "INACTIVE", "PENDING_VERIFICATION", "SUSPENDED", "ERROR"

  - `changes` (object)
    Any pending changes to the sender.

  - `changes.status` (string, required)
    Current status of the pending changes.
    Enum: "DRAFT", "ERROR", "IN_PROGRESS", "MULTIPLE_WABA_ERROR", "REJECTED"

  - `changes.details` (any)
    The pending changes to sender details and information

  - `changes.details.displayName` (string, required)
    Sender display name within WhatsApp.

  - `changes.details.description` (string)
    Description of the sender displayed in the Business Info within WhatsApp.

  - `changes.details.vertical` (string, required)
    Category of the sender displayed in the Business Info within WhatsApp.
    Enum: "ALCOHOL", "AUTOMOTIVE", "BEAUTY_SPA_SALON", "CLOTHING_AND_APPAREL", "EDUCATION", "ENTERTAINMENT", "EVENT_PLANNING_AND_SERVICE", "FINANCE_AND_BANKING", "FOOD_AND_GROCERY", "HOTEL_AND_LODGING", "MEDICAL_AND_HEALTH", "NON_PROFIT", "NOT_SET", "ONLINE_GAMBLING", "OTC_DRUGS", "OTHER", "PHYSICAL_GAMBLING", "PROFESSIONAL_SERVICES", "PUBLIC_SERVICE", "RESTAURANT", "SHOPPING_AND_RETAIL", "TRAVEL_AND_TRANSPORTATION", "UNRECOGNIZED"

  - `changes.details.email` (string)
    Contact email displayed in the Business Info within WhatsApp.

  - `changes.details.address` (string)
    Business address displayed in the Business Info within WhatsApp.

  - `changes.details.websiteOne` (string)
    Business website displayed in the Business Info within WhatsApp.

  - `changes.details.websiteTwo` (string)
    Second business website displayed in the Business Info within WhatsApp.

  - `changes.details.about` (string)
    About text displayed in the Business Info within WhatsApp.
- Hyperlinks can be included but will not render as clickable links.
- Markdown is not supported.

  - `changes.details.photoUrl` (string)
    URL to the sender image displayed in WhatsApp.
- Supported mime types:
`image/jpeg`
,
`image/png`
 or
`image/webp`
.
- Maximum file size: 5MB.
- Minimum image dimensions: 192 x 192 px.
- Maximum image dimensions: 640 x 640 px.
- Image will be cropped to maximum image dimensions.
- If you submit a PNG image with a transparent background, the background will be rendered as black.

  - `changes.details.username` (string)
    WhatsApp Business username of the sender.

  - `changes.errorReason` (string)
    Error reason if sender is in state `ERROR`.

  - `changes.errorCode` (string)
    Error code if sender is in state `ERROR`.
    Enum: "CANNOT_ASSIGN_CREDIT_LINE", "CANNOT_ASSIGN_SYSTEM_USER", "CANNOT_CREATE_NEW_WHATSAPP_SENDER", "CANNOT_CREATE_WABA_FOR_BUSINESS", "CANNOT_GET_DETAILS_FOR_CLOUD_API", "CANNOT_GET_WABA_DETAILS", "CANNOT_REGISTER_NEW_WHATSAPP_SENDER", "CANNOT_REGISTER_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_WEBHOOK", "DUPLICATES_ON_SENDER_PHONE_NUMBER", "FAILED_TO_FETCH_APPROVED_MESSAGE_TEMPLATES", "MULTIPLE_WABA_FOR_PROJECT_ID", "NO_CERTIFICATE_AVAILABLE", "NO_NOVA_ACCOUNT_ID", "NO_PRICING_PLAN", "NO_PROJECT_ID", "NO_VERIFIED_PHONE_NUMBER", "NOT_VERIFIED_REQUESTED_PHONE_NUMBER", "NOT_VERIFY_BUSINESS_VIA_WHATSAPP", "NOVA_ACCOUNT_ID_CONFLICT", "PROJECT_ID_CONFLICT", "SENDER_HAS_BEEN_DELETED", "WABA_CONNECTED_TO_ANOTHER_PROJECT", "UNKNOWN_ERROR", "UNRECOGNIZED"

  - `details` (object)
    Sender details and information.

  - `metadata` (object)
    Data about the current state of individual sender fields.

  - `metadata.username` (object)
    Approval status of the sender username.

  - `metadata.username.value` (string)
    Requested value of the field.

  - `metadata.username.status` (string, required)
    Current approval status of the field.
    Enum: "APPROVED", "DEFERRED", "DELETED", "EXPIRED", "PENDING", "REJECTED", "RESERVED", "UNRECOGNIZED", "UNSPECIFIED"

  - `metadata.username.rejectionReason` (string)
    Reason for rejection if the field update was rejected.

  - `region` (string, required)
    Region sender is provisioned in.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `metaLocalStorage` (string, required)
    Region sender store the data in Meta.
    Enum: "AE", "AU", "BH", "BR", "CA", "CH", "DE", "GB", "ID", "IN", "JP", "KR", "SG", "US", "ZA", "UNRECOGNIZED", "UNSPECIFIED"

  - `conversationApiApp` (string)
    If set, the Conversation API App ID the sender is connected to.

  - `conversationApiAppDetails` (object)
    If set, the details of the Conversation API App the sender is connected to.

  - `conversationApiAppDetails.id` (string, required)
    ID of the app

  - `conversationApiAppDetails.projectId` (string, required)
    ID of the app project

  - `conversationApiAppDetails.region` (string, required)
    App region.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `conversationApiAppDetails.channelStatus` (string)
    Status of the channel credentials integration.
    Enum: "ACTIVE", "FAILING", "PENDING", "UNRECOGNIZED"

  - `maxTps` (number)
    Maximum sender TPS.

  - `qualityRating` (string)
    Current quality rating of the sender.
    Enum: "GREEN", "RED", "YELLOW", "UNKNOWN", "UNRECOGNIZED"

  - `dailyLimit` (string)
    This property is deprecated. Use `AccountDto.businessDailyLimit` instead. Current daily message limit of the sender.
    Enum: "NOT_SET", "TIER_100K", "TIER_10K", "TIER_1K", "TIER_250", "TIER_2K", "TIER_50", "TIER_UNLIMITED", "UNRECOGNIZED"

  - `bearerToken` (string)
    Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.

  - `cloudApi` (boolean, required)
    True if the sender is hosted in WhatsApp Cloud API.

  - `created` (string)
    The UTC Date Time in ISO 8601 for when the sender was created.

  - `modified` (string)
    The UTC Date Time in ISO 8601 for when the sender was last modified.

  - `countryCode` (string)
    Country code of sender phone number.

  - `phoneNumber` (string)
    Sender phone number without country code.

  - `numberProvider` (string)
    Provider for phone number.
    Enum: "CUSTOMER", "SINCH", "UNRECOGNIZED"

  - `businessManager` (string, required)
    Business manager.
    Enum: "SINCH_AMERICA", "SINCH_BR", "SINCH_MX", "SINCH_SEP", "SINCH_UK", "UNRECOGNIZED"

  - `wabaBanState` (string)
    Please use get account endpoint for this information.
    Enum: "DISABLE", "REINSTATE", "SCHEDULE_FOR_DISABLE", "UNRECOGNIZED"

  - `wabaBanDate` (string)
    Please use get account endpoint for this information.

  - `compatibleRegions` (array, required)
    Conversation API app regions the sender can be used for.

## Response 400:

  - `400` (unknown)
    BadRequest

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: invalid_input

  - `message` (string)
    Human readable message.
    Example: Invalid input.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Correct the validation errors and submit again.

  - `additionalInformation` (object)
    Additional information for error.
    Example: {"validationErrors":["details should not be null or undefined"]}

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: unauthorized_error

  - `message` (string)
    Human readable message.
    Example: Unauthorized error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that projectId is correct.

## Response 404:

  - `404` (unknown)
    NotFound

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: project_not_found

  - `message` (string)
    Human readable message.
    Example: Project not found.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the projectId is correct.

## Response 409:

  - `409` (unknown)
    Conflict

## Response 409 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: account_data_is_corrupt

  - `message` (string)
    Human readable message.
    Example: Account data is corrupt.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please contact support.

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: facebook_Request_limit_reached

  - `message` (string)
    Human readable message.
    Example: Facebook request limit reached.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please try again later.

## Response 201 examples:

  - `Create response` (unknown)
    Response when successfully creating a sender.

## Callback:

  - `Comment` (unknown)
    Comment on sender 
        Received when a comment has been added to the sender.

  - `Active` (unknown)
    Sender completed 
        Received when a Sender is completed and ready for use.

  - `Inactive` (unknown)
    Sender inactive 
        Received when a sender is inactivated.

  - `PendingVerification` (unknown)
    Sender in pending verification 
        Received when a sender is in pending verification.

  - `Rejected` (unknown)
    Sender in rejected 
        Received when a sender is rejected.

  - `Error` (unknown)
    Sender in error 
        Received when a sender has error.

  - `DailyLimitChanged` (unknown)
    Daily limit changed for Sender 
        Received when a daily limit for sender is changed.

  - `QualityRatingChanged` (unknown)
    Quality rating changed for Sender 
        Received when a quality rating for sender is changed.

  - `Deleted` (unknown)
    Sender deleted 
        Received when a sender has been deleted.

  - `UsernameUpdate` (unknown)
    Sender username updated 
        Received when a sender username is updated.

## Callback header parameters:

  - `x-sinch-webhook-signature` (string)

  - `x-sinch-webhook-signature-algorithm` (string)

  - `x-sinch-webhook-signature-nonce` (string)

  - `x-sinch-webhook-signature-timestamp` (string)

  - `x-sinch-webhook-signature` (string)

  - `x-sinch-webhook-signature-algorithm` (string)

  - `x-sinch-webhook-signature-nonce` (string)

  - `x-sinch-webhook-signature-timestamp` (string)

  - `x-sinch-webhook-signature` (string)

  - `x-sinch-webhook-signature-algorithm` (string)

  - `x-sinch-webhook-signature-nonce` (string)

  - `x-sinch-webhook-signature-timestamp` (string)

  - `x-sinch-webhook-signature` (string)

  - `x-sinch-webhook-signature-algorithm` (string)

  - `x-sinch-webhook-signature-nonce` (string)

  - `x-sinch-webhook-signature-timestamp` (string)

  - `x-sinch-webhook-signature` (string)

  - `x-sinch-webhook-signature-algorithm` (string)

  - `x-sinch-webhook-signature-nonce` (string)

  - `x-sinch-webhook-signature-timestamp` (string)

  - `x-sinch-webhook-signature` (string)

  - `x-sinch-webhook-signature-algorithm` (string)

  - `x-sinch-webhook-signature-nonce` (string)

  - `x-sinch-webhook-signature-timestamp` (string)

  - `x-sinch-webhook-signature` (string)

  - `x-sinch-webhook-signature-algorithm` (string)

  - `x-sinch-webhook-signature-nonce` (string)

  - `x-sinch-webhook-signature-timestamp` (string)

  - `x-sinch-webhook-signature` (string)

  - `x-sinch-webhook-signature-algorithm` (string)

  - `x-sinch-webhook-signature-nonce` (string)

  - `x-sinch-webhook-signature-timestamp` (string)

  - `x-sinch-webhook-signature` (string)

  - `x-sinch-webhook-signature-algorithm` (string)

  - `x-sinch-webhook-signature-nonce` (string)

  - `x-sinch-webhook-signature-timestamp` (string)

  - `x-sinch-webhook-signature` (string)

  - `x-sinch-webhook-signature-algorithm` (string)

  - `x-sinch-webhook-signature-nonce` (string)

  - `x-sinch-webhook-signature-timestamp` (string)

## Callback request fields (application/json):

  - `type` (string, required)
    Type of event, in this case `WHATSAPP_SENDER_COMMENT_ADDED`.

  - `payload` (object, required)
    Sender at time of callback.

  - `payload.id` (string, required)
    The unique ID of the sender.

  - `payload.state` (string)
    The current state of the sender.
    Enum: "ACTIVE", "IN_PROGRESS", "INACTIVE", "PENDING_VERIFICATION", "SUSPENDED", "ERROR"

  - `payload.changes` (object)
    Any pending changes to the sender.

  - `payload.changes.status` (string, required)
    Current status of the pending changes.
    Enum: "DRAFT", "ERROR", "IN_PROGRESS", "MULTIPLE_WABA_ERROR", "REJECTED"

  - `payload.changes.details` (any)
    The pending changes to sender details and information

  - `payload.changes.details.displayName` (string, required)
    Sender display name within WhatsApp.

  - `payload.changes.details.description` (string)
    Description of the sender displayed in the Business Info within WhatsApp.

  - `payload.changes.details.vertical` (string, required)
    Category of the sender displayed in the Business Info within WhatsApp.
    Enum: "ALCOHOL", "AUTOMOTIVE", "BEAUTY_SPA_SALON", "CLOTHING_AND_APPAREL", "EDUCATION", "ENTERTAINMENT", "EVENT_PLANNING_AND_SERVICE", "FINANCE_AND_BANKING", "FOOD_AND_GROCERY", "HOTEL_AND_LODGING", "MEDICAL_AND_HEALTH", "NON_PROFIT", "NOT_SET", "ONLINE_GAMBLING", "OTC_DRUGS", "OTHER", "PHYSICAL_GAMBLING", "PROFESSIONAL_SERVICES", "PUBLIC_SERVICE", "RESTAURANT", "SHOPPING_AND_RETAIL", "TRAVEL_AND_TRANSPORTATION", "UNRECOGNIZED"

  - `payload.changes.details.email` (string)
    Contact email displayed in the Business Info within WhatsApp.

  - `payload.changes.details.address` (string)
    Business address displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteOne` (string)
    Business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteTwo` (string)
    Second business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.about` (string)
    About text displayed in the Business Info within WhatsApp.
- Hyperlinks can be included but will not render as clickable links.
- Markdown is not supported.

  - `payload.changes.details.photoUrl` (string)
    URL to the sender image displayed in WhatsApp.
- Supported mime types:
`image/jpeg`
,
`image/png`
 or
`image/webp`
.
- Maximum file size: 5MB.
- Minimum image dimensions: 192 x 192 px.
- Maximum image dimensions: 640 x 640 px.
- Image will be cropped to maximum image dimensions.
- If you submit a PNG image with a transparent background, the background will be rendered as black.

  - `payload.changes.details.username` (string)
    WhatsApp Business username of the sender.

  - `payload.changes.errorReason` (string)
    Error reason if sender is in state `ERROR`.

  - `payload.changes.errorCode` (string)
    Error code if sender is in state `ERROR`.
    Enum: "CANNOT_ASSIGN_CREDIT_LINE", "CANNOT_ASSIGN_SYSTEM_USER", "CANNOT_CREATE_NEW_WHATSAPP_SENDER", "CANNOT_CREATE_WABA_FOR_BUSINESS", "CANNOT_GET_DETAILS_FOR_CLOUD_API", "CANNOT_GET_WABA_DETAILS", "CANNOT_REGISTER_NEW_WHATSAPP_SENDER", "CANNOT_REGISTER_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_WEBHOOK", "DUPLICATES_ON_SENDER_PHONE_NUMBER", "FAILED_TO_FETCH_APPROVED_MESSAGE_TEMPLATES", "MULTIPLE_WABA_FOR_PROJECT_ID", "NO_CERTIFICATE_AVAILABLE", "NO_NOVA_ACCOUNT_ID", "NO_PRICING_PLAN", "NO_PROJECT_ID", "NO_VERIFIED_PHONE_NUMBER", "NOT_VERIFIED_REQUESTED_PHONE_NUMBER", "NOT_VERIFY_BUSINESS_VIA_WHATSAPP", "NOVA_ACCOUNT_ID_CONFLICT", "PROJECT_ID_CONFLICT", "SENDER_HAS_BEEN_DELETED", "WABA_CONNECTED_TO_ANOTHER_PROJECT", "UNKNOWN_ERROR", "UNRECOGNIZED"

  - `payload.details` (object)
    Sender details and information.

  - `payload.metadata` (object)
    Data about the current state of individual sender fields.

  - `payload.metadata.username` (object)
    Approval status of the sender username.

  - `payload.metadata.username.value` (string)
    Requested value of the field.

  - `payload.metadata.username.status` (string, required)
    Current approval status of the field.
    Enum: "APPROVED", "DEFERRED", "DELETED", "EXPIRED", "PENDING", "REJECTED", "RESERVED", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.metadata.username.rejectionReason` (string)
    Reason for rejection if the field update was rejected.

  - `payload.region` (string, required)
    Region sender is provisioned in.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.metaLocalStorage` (string, required)
    Region sender store the data in Meta.
    Enum: "AE", "AU", "BH", "BR", "CA", "CH", "DE", "GB", "ID", "IN", "JP", "KR", "SG", "US", "ZA", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.conversationApiApp` (string)
    If set, the Conversation API App ID the sender is connected to.

  - `payload.conversationApiAppDetails` (object)
    If set, the details of the Conversation API App the sender is connected to.

  - `payload.conversationApiAppDetails.id` (string, required)
    ID of the app

  - `payload.conversationApiAppDetails.projectId` (string, required)
    ID of the app project

  - `payload.conversationApiAppDetails.region` (string, required)
    App region.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.conversationApiAppDetails.channelStatus` (string)
    Status of the channel credentials integration.
    Enum: "ACTIVE", "FAILING", "PENDING", "UNRECOGNIZED"

  - `payload.maxTps` (number)
    Maximum sender TPS.

  - `payload.qualityRating` (string)
    Current quality rating of the sender.
    Enum: "GREEN", "RED", "YELLOW", "UNKNOWN", "UNRECOGNIZED"

  - `payload.dailyLimit` (string)
    This property is deprecated. Use `AccountDto.businessDailyLimit` instead. Current daily message limit of the sender.
    Enum: "NOT_SET", "TIER_100K", "TIER_10K", "TIER_1K", "TIER_250", "TIER_2K", "TIER_50", "TIER_UNLIMITED", "UNRECOGNIZED"

  - `payload.bearerToken` (string)
    Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.

  - `payload.cloudApi` (boolean, required)
    True if the sender is hosted in WhatsApp Cloud API.

  - `payload.created` (string)
    The UTC Date Time in ISO 8601 for when the sender was created.

  - `payload.modified` (string)
    The UTC Date Time in ISO 8601 for when the sender was last modified.

  - `payload.countryCode` (string)
    Country code of sender phone number.

  - `payload.phoneNumber` (string)
    Sender phone number without country code.

  - `payload.numberProvider` (string)
    Provider for phone number.
    Enum: "CUSTOMER", "SINCH", "UNRECOGNIZED"

  - `payload.businessManager` (string, required)
    Business manager.
    Enum: "SINCH_AMERICA", "SINCH_BR", "SINCH_MX", "SINCH_SEP", "SINCH_UK", "UNRECOGNIZED"

  - `payload.wabaBanState` (string)
    Please use get account endpoint for this information.
    Enum: "DISABLE", "REINSTATE", "SCHEDULE_FOR_DISABLE", "UNRECOGNIZED"

  - `payload.wabaBanDate` (string)
    Please use get account endpoint for this information.

  - `payload.compatibleRegions` (array, required)
    Conversation API app regions the sender can be used for.

  - `comment` (string, required)
    Comment for sender.

  - `type` (string, required)
    Type of event, in this case `WHATSAPP_SENDER_ACTIVE`.

  - `payload` (object, required)
    Sender at time of callback.

  - `payload.id` (string, required)
    The unique ID of the sender.

  - `payload.state` (string)
    The current state of the sender.
    Enum: "ACTIVE", "IN_PROGRESS", "INACTIVE", "PENDING_VERIFICATION", "SUSPENDED", "ERROR"

  - `payload.changes` (object)
    Any pending changes to the sender.

  - `payload.changes.status` (string, required)
    Current status of the pending changes.
    Enum: "DRAFT", "ERROR", "IN_PROGRESS", "MULTIPLE_WABA_ERROR", "REJECTED"

  - `payload.changes.details` (any)
    The pending changes to sender details and information

  - `payload.changes.details.displayName` (string, required)
    Sender display name within WhatsApp.

  - `payload.changes.details.description` (string)
    Description of the sender displayed in the Business Info within WhatsApp.

  - `payload.changes.details.vertical` (string, required)
    Category of the sender displayed in the Business Info within WhatsApp.
    Enum: "ALCOHOL", "AUTOMOTIVE", "BEAUTY_SPA_SALON", "CLOTHING_AND_APPAREL", "EDUCATION", "ENTERTAINMENT", "EVENT_PLANNING_AND_SERVICE", "FINANCE_AND_BANKING", "FOOD_AND_GROCERY", "HOTEL_AND_LODGING", "MEDICAL_AND_HEALTH", "NON_PROFIT", "NOT_SET", "ONLINE_GAMBLING", "OTC_DRUGS", "OTHER", "PHYSICAL_GAMBLING", "PROFESSIONAL_SERVICES", "PUBLIC_SERVICE", "RESTAURANT", "SHOPPING_AND_RETAIL", "TRAVEL_AND_TRANSPORTATION", "UNRECOGNIZED"

  - `payload.changes.details.email` (string)
    Contact email displayed in the Business Info within WhatsApp.

  - `payload.changes.details.address` (string)
    Business address displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteOne` (string)
    Business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteTwo` (string)
    Second business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.about` (string)
    About text displayed in the Business Info within WhatsApp.
- Hyperlinks can be included but will not render as clickable links.
- Markdown is not supported.

  - `payload.changes.details.photoUrl` (string)
    URL to the sender image displayed in WhatsApp.
- Supported mime types:
`image/jpeg`
,
`image/png`
 or
`image/webp`
.
- Maximum file size: 5MB.
- Minimum image dimensions: 192 x 192 px.
- Maximum image dimensions: 640 x 640 px.
- Image will be cropped to maximum image dimensions.
- If you submit a PNG image with a transparent background, the background will be rendered as black.

  - `payload.changes.details.username` (string)
    WhatsApp Business username of the sender.

  - `payload.changes.errorReason` (string)
    Error reason if sender is in state `ERROR`.

  - `payload.changes.errorCode` (string)
    Error code if sender is in state `ERROR`.
    Enum: "CANNOT_ASSIGN_CREDIT_LINE", "CANNOT_ASSIGN_SYSTEM_USER", "CANNOT_CREATE_NEW_WHATSAPP_SENDER", "CANNOT_CREATE_WABA_FOR_BUSINESS", "CANNOT_GET_DETAILS_FOR_CLOUD_API", "CANNOT_GET_WABA_DETAILS", "CANNOT_REGISTER_NEW_WHATSAPP_SENDER", "CANNOT_REGISTER_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_WEBHOOK", "DUPLICATES_ON_SENDER_PHONE_NUMBER", "FAILED_TO_FETCH_APPROVED_MESSAGE_TEMPLATES", "MULTIPLE_WABA_FOR_PROJECT_ID", "NO_CERTIFICATE_AVAILABLE", "NO_NOVA_ACCOUNT_ID", "NO_PRICING_PLAN", "NO_PROJECT_ID", "NO_VERIFIED_PHONE_NUMBER", "NOT_VERIFIED_REQUESTED_PHONE_NUMBER", "NOT_VERIFY_BUSINESS_VIA_WHATSAPP", "NOVA_ACCOUNT_ID_CONFLICT", "PROJECT_ID_CONFLICT", "SENDER_HAS_BEEN_DELETED", "WABA_CONNECTED_TO_ANOTHER_PROJECT", "UNKNOWN_ERROR", "UNRECOGNIZED"

  - `payload.details` (object)
    Sender details and information.

  - `payload.metadata` (object)
    Data about the current state of individual sender fields.

  - `payload.metadata.username` (object)
    Approval status of the sender username.

  - `payload.metadata.username.value` (string)
    Requested value of the field.

  - `payload.metadata.username.status` (string, required)
    Current approval status of the field.
    Enum: "APPROVED", "DEFERRED", "DELETED", "EXPIRED", "PENDING", "REJECTED", "RESERVED", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.metadata.username.rejectionReason` (string)
    Reason for rejection if the field update was rejected.

  - `payload.region` (string, required)
    Region sender is provisioned in.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.metaLocalStorage` (string, required)
    Region sender store the data in Meta.
    Enum: "AE", "AU", "BH", "BR", "CA", "CH", "DE", "GB", "ID", "IN", "JP", "KR", "SG", "US", "ZA", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.conversationApiApp` (string)
    If set, the Conversation API App ID the sender is connected to.

  - `payload.conversationApiAppDetails` (object)
    If set, the details of the Conversation API App the sender is connected to.

  - `payload.conversationApiAppDetails.id` (string, required)
    ID of the app

  - `payload.conversationApiAppDetails.projectId` (string, required)
    ID of the app project

  - `payload.conversationApiAppDetails.region` (string, required)
    App region.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.conversationApiAppDetails.channelStatus` (string)
    Status of the channel credentials integration.
    Enum: "ACTIVE", "FAILING", "PENDING", "UNRECOGNIZED"

  - `payload.maxTps` (number)
    Maximum sender TPS.

  - `payload.qualityRating` (string)
    Current quality rating of the sender.
    Enum: "GREEN", "RED", "YELLOW", "UNKNOWN", "UNRECOGNIZED"

  - `payload.dailyLimit` (string)
    This property is deprecated. Use `AccountDto.businessDailyLimit` instead. Current daily message limit of the sender.
    Enum: "NOT_SET", "TIER_100K", "TIER_10K", "TIER_1K", "TIER_250", "TIER_2K", "TIER_50", "TIER_UNLIMITED", "UNRECOGNIZED"

  - `payload.bearerToken` (string)
    Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.

  - `payload.cloudApi` (boolean, required)
    True if the sender is hosted in WhatsApp Cloud API.

  - `payload.created` (string)
    The UTC Date Time in ISO 8601 for when the sender was created.

  - `payload.modified` (string)
    The UTC Date Time in ISO 8601 for when the sender was last modified.

  - `payload.countryCode` (string)
    Country code of sender phone number.

  - `payload.phoneNumber` (string)
    Sender phone number without country code.

  - `payload.numberProvider` (string)
    Provider for phone number.
    Enum: "CUSTOMER", "SINCH", "UNRECOGNIZED"

  - `payload.businessManager` (string, required)
    Business manager.
    Enum: "SINCH_AMERICA", "SINCH_BR", "SINCH_MX", "SINCH_SEP", "SINCH_UK", "UNRECOGNIZED"

  - `payload.wabaBanState` (string)
    Please use get account endpoint for this information.
    Enum: "DISABLE", "REINSTATE", "SCHEDULE_FOR_DISABLE", "UNRECOGNIZED"

  - `payload.wabaBanDate` (string)
    Please use get account endpoint for this information.

  - `payload.compatibleRegions` (array, required)
    Conversation API app regions the sender can be used for.

  - `comment` (string)
    Comment for sender.

  - `type` (string, required)
    Type of event, in this case `WHATSAPP_SENDER_INACTIVE`.

  - `payload` (object, required)
    Sender at time of callback.

  - `payload.id` (string, required)
    The unique ID of the sender.

  - `payload.state` (string)
    The current state of the sender.
    Enum: "ACTIVE", "IN_PROGRESS", "INACTIVE", "PENDING_VERIFICATION", "SUSPENDED", "ERROR"

  - `payload.changes` (object)
    Any pending changes to the sender.

  - `payload.changes.status` (string, required)
    Current status of the pending changes.
    Enum: "DRAFT", "ERROR", "IN_PROGRESS", "MULTIPLE_WABA_ERROR", "REJECTED"

  - `payload.changes.details` (any)
    The pending changes to sender details and information

  - `payload.changes.details.displayName` (string, required)
    Sender display name within WhatsApp.

  - `payload.changes.details.description` (string)
    Description of the sender displayed in the Business Info within WhatsApp.

  - `payload.changes.details.vertical` (string, required)
    Category of the sender displayed in the Business Info within WhatsApp.
    Enum: "ALCOHOL", "AUTOMOTIVE", "BEAUTY_SPA_SALON", "CLOTHING_AND_APPAREL", "EDUCATION", "ENTERTAINMENT", "EVENT_PLANNING_AND_SERVICE", "FINANCE_AND_BANKING", "FOOD_AND_GROCERY", "HOTEL_AND_LODGING", "MEDICAL_AND_HEALTH", "NON_PROFIT", "NOT_SET", "ONLINE_GAMBLING", "OTC_DRUGS", "OTHER", "PHYSICAL_GAMBLING", "PROFESSIONAL_SERVICES", "PUBLIC_SERVICE", "RESTAURANT", "SHOPPING_AND_RETAIL", "TRAVEL_AND_TRANSPORTATION", "UNRECOGNIZED"

  - `payload.changes.details.email` (string)
    Contact email displayed in the Business Info within WhatsApp.

  - `payload.changes.details.address` (string)
    Business address displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteOne` (string)
    Business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteTwo` (string)
    Second business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.about` (string)
    About text displayed in the Business Info within WhatsApp.
- Hyperlinks can be included but will not render as clickable links.
- Markdown is not supported.

  - `payload.changes.details.photoUrl` (string)
    URL to the sender image displayed in WhatsApp.
- Supported mime types:
`image/jpeg`
,
`image/png`
 or
`image/webp`
.
- Maximum file size: 5MB.
- Minimum image dimensions: 192 x 192 px.
- Maximum image dimensions: 640 x 640 px.
- Image will be cropped to maximum image dimensions.
- If you submit a PNG image with a transparent background, the background will be rendered as black.

  - `payload.changes.details.username` (string)
    WhatsApp Business username of the sender.

  - `payload.changes.errorReason` (string)
    Error reason if sender is in state `ERROR`.

  - `payload.changes.errorCode` (string)
    Error code if sender is in state `ERROR`.
    Enum: "CANNOT_ASSIGN_CREDIT_LINE", "CANNOT_ASSIGN_SYSTEM_USER", "CANNOT_CREATE_NEW_WHATSAPP_SENDER", "CANNOT_CREATE_WABA_FOR_BUSINESS", "CANNOT_GET_DETAILS_FOR_CLOUD_API", "CANNOT_GET_WABA_DETAILS", "CANNOT_REGISTER_NEW_WHATSAPP_SENDER", "CANNOT_REGISTER_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_WEBHOOK", "DUPLICATES_ON_SENDER_PHONE_NUMBER", "FAILED_TO_FETCH_APPROVED_MESSAGE_TEMPLATES", "MULTIPLE_WABA_FOR_PROJECT_ID", "NO_CERTIFICATE_AVAILABLE", "NO_NOVA_ACCOUNT_ID", "NO_PRICING_PLAN", "NO_PROJECT_ID", "NO_VERIFIED_PHONE_NUMBER", "NOT_VERIFIED_REQUESTED_PHONE_NUMBER", "NOT_VERIFY_BUSINESS_VIA_WHATSAPP", "NOVA_ACCOUNT_ID_CONFLICT", "PROJECT_ID_CONFLICT", "SENDER_HAS_BEEN_DELETED", "WABA_CONNECTED_TO_ANOTHER_PROJECT", "UNKNOWN_ERROR", "UNRECOGNIZED"

  - `payload.details` (object)
    Sender details and information.

  - `payload.metadata` (object)
    Data about the current state of individual sender fields.

  - `payload.metadata.username` (object)
    Approval status of the sender username.

  - `payload.metadata.username.value` (string)
    Requested value of the field.

  - `payload.metadata.username.status` (string, required)
    Current approval status of the field.
    Enum: "APPROVED", "DEFERRED", "DELETED", "EXPIRED", "PENDING", "REJECTED", "RESERVED", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.metadata.username.rejectionReason` (string)
    Reason for rejection if the field update was rejected.

  - `payload.region` (string, required)
    Region sender is provisioned in.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.metaLocalStorage` (string, required)
    Region sender store the data in Meta.
    Enum: "AE", "AU", "BH", "BR", "CA", "CH", "DE", "GB", "ID", "IN", "JP", "KR", "SG", "US", "ZA", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.conversationApiApp` (string)
    If set, the Conversation API App ID the sender is connected to.

  - `payload.conversationApiAppDetails` (object)
    If set, the details of the Conversation API App the sender is connected to.

  - `payload.conversationApiAppDetails.id` (string, required)
    ID of the app

  - `payload.conversationApiAppDetails.projectId` (string, required)
    ID of the app project

  - `payload.conversationApiAppDetails.region` (string, required)
    App region.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.conversationApiAppDetails.channelStatus` (string)
    Status of the channel credentials integration.
    Enum: "ACTIVE", "FAILING", "PENDING", "UNRECOGNIZED"

  - `payload.maxTps` (number)
    Maximum sender TPS.

  - `payload.qualityRating` (string)
    Current quality rating of the sender.
    Enum: "GREEN", "RED", "YELLOW", "UNKNOWN", "UNRECOGNIZED"

  - `payload.dailyLimit` (string)
    This property is deprecated. Use `AccountDto.businessDailyLimit` instead. Current daily message limit of the sender.
    Enum: "NOT_SET", "TIER_100K", "TIER_10K", "TIER_1K", "TIER_250", "TIER_2K", "TIER_50", "TIER_UNLIMITED", "UNRECOGNIZED"

  - `payload.bearerToken` (string)
    Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.

  - `payload.cloudApi` (boolean, required)
    True if the sender is hosted in WhatsApp Cloud API.

  - `payload.created` (string)
    The UTC Date Time in ISO 8601 for when the sender was created.

  - `payload.modified` (string)
    The UTC Date Time in ISO 8601 for when the sender was last modified.

  - `payload.countryCode` (string)
    Country code of sender phone number.

  - `payload.phoneNumber` (string)
    Sender phone number without country code.

  - `payload.numberProvider` (string)
    Provider for phone number.
    Enum: "CUSTOMER", "SINCH", "UNRECOGNIZED"

  - `payload.businessManager` (string, required)
    Business manager.
    Enum: "SINCH_AMERICA", "SINCH_BR", "SINCH_MX", "SINCH_SEP", "SINCH_UK", "UNRECOGNIZED"

  - `payload.wabaBanState` (string)
    Please use get account endpoint for this information.
    Enum: "DISABLE", "REINSTATE", "SCHEDULE_FOR_DISABLE", "UNRECOGNIZED"

  - `payload.wabaBanDate` (string)
    Please use get account endpoint for this information.

  - `payload.compatibleRegions` (array, required)
    Conversation API app regions the sender can be used for.

  - `comment` (string)
    Comment for sender.

  - `type` (string, required)
    Type of event, in this case `WHATSAPP_SENDER_PENDING_VERIFICATION`.

  - `payload` (object, required)
    Sender at time of callback.

  - `payload.id` (string, required)
    The unique ID of the sender.

  - `payload.state` (string)
    The current state of the sender.
    Enum: "ACTIVE", "IN_PROGRESS", "INACTIVE", "PENDING_VERIFICATION", "SUSPENDED", "ERROR"

  - `payload.changes` (object)
    Any pending changes to the sender.

  - `payload.changes.status` (string, required)
    Current status of the pending changes.
    Enum: "DRAFT", "ERROR", "IN_PROGRESS", "MULTIPLE_WABA_ERROR", "REJECTED"

  - `payload.changes.details` (any)
    The pending changes to sender details and information

  - `payload.changes.details.displayName` (string, required)
    Sender display name within WhatsApp.

  - `payload.changes.details.description` (string)
    Description of the sender displayed in the Business Info within WhatsApp.

  - `payload.changes.details.vertical` (string, required)
    Category of the sender displayed in the Business Info within WhatsApp.
    Enum: "ALCOHOL", "AUTOMOTIVE", "BEAUTY_SPA_SALON", "CLOTHING_AND_APPAREL", "EDUCATION", "ENTERTAINMENT", "EVENT_PLANNING_AND_SERVICE", "FINANCE_AND_BANKING", "FOOD_AND_GROCERY", "HOTEL_AND_LODGING", "MEDICAL_AND_HEALTH", "NON_PROFIT", "NOT_SET", "ONLINE_GAMBLING", "OTC_DRUGS", "OTHER", "PHYSICAL_GAMBLING", "PROFESSIONAL_SERVICES", "PUBLIC_SERVICE", "RESTAURANT", "SHOPPING_AND_RETAIL", "TRAVEL_AND_TRANSPORTATION", "UNRECOGNIZED"

  - `payload.changes.details.email` (string)
    Contact email displayed in the Business Info within WhatsApp.

  - `payload.changes.details.address` (string)
    Business address displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteOne` (string)
    Business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteTwo` (string)
    Second business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.about` (string)
    About text displayed in the Business Info within WhatsApp.
- Hyperlinks can be included but will not render as clickable links.
- Markdown is not supported.

  - `payload.changes.details.photoUrl` (string)
    URL to the sender image displayed in WhatsApp.
- Supported mime types:
`image/jpeg`
,
`image/png`
 or
`image/webp`
.
- Maximum file size: 5MB.
- Minimum image dimensions: 192 x 192 px.
- Maximum image dimensions: 640 x 640 px.
- Image will be cropped to maximum image dimensions.
- If you submit a PNG image with a transparent background, the background will be rendered as black.

  - `payload.changes.details.username` (string)
    WhatsApp Business username of the sender.

  - `payload.changes.errorReason` (string)
    Error reason if sender is in state `ERROR`.

  - `payload.changes.errorCode` (string)
    Error code if sender is in state `ERROR`.
    Enum: "CANNOT_ASSIGN_CREDIT_LINE", "CANNOT_ASSIGN_SYSTEM_USER", "CANNOT_CREATE_NEW_WHATSAPP_SENDER", "CANNOT_CREATE_WABA_FOR_BUSINESS", "CANNOT_GET_DETAILS_FOR_CLOUD_API", "CANNOT_GET_WABA_DETAILS", "CANNOT_REGISTER_NEW_WHATSAPP_SENDER", "CANNOT_REGISTER_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_WEBHOOK", "DUPLICATES_ON_SENDER_PHONE_NUMBER", "FAILED_TO_FETCH_APPROVED_MESSAGE_TEMPLATES", "MULTIPLE_WABA_FOR_PROJECT_ID", "NO_CERTIFICATE_AVAILABLE", "NO_NOVA_ACCOUNT_ID", "NO_PRICING_PLAN", "NO_PROJECT_ID", "NO_VERIFIED_PHONE_NUMBER", "NOT_VERIFIED_REQUESTED_PHONE_NUMBER", "NOT_VERIFY_BUSINESS_VIA_WHATSAPP", "NOVA_ACCOUNT_ID_CONFLICT", "PROJECT_ID_CONFLICT", "SENDER_HAS_BEEN_DELETED", "WABA_CONNECTED_TO_ANOTHER_PROJECT", "UNKNOWN_ERROR", "UNRECOGNIZED"

  - `payload.details` (object)
    Sender details and information.

  - `payload.metadata` (object)
    Data about the current state of individual sender fields.

  - `payload.metadata.username` (object)
    Approval status of the sender username.

  - `payload.metadata.username.value` (string)
    Requested value of the field.

  - `payload.metadata.username.status` (string, required)
    Current approval status of the field.
    Enum: "APPROVED", "DEFERRED", "DELETED", "EXPIRED", "PENDING", "REJECTED", "RESERVED", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.metadata.username.rejectionReason` (string)
    Reason for rejection if the field update was rejected.

  - `payload.region` (string, required)
    Region sender is provisioned in.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.metaLocalStorage` (string, required)
    Region sender store the data in Meta.
    Enum: "AE", "AU", "BH", "BR", "CA", "CH", "DE", "GB", "ID", "IN", "JP", "KR", "SG", "US", "ZA", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.conversationApiApp` (string)
    If set, the Conversation API App ID the sender is connected to.

  - `payload.conversationApiAppDetails` (object)
    If set, the details of the Conversation API App the sender is connected to.

  - `payload.conversationApiAppDetails.id` (string, required)
    ID of the app

  - `payload.conversationApiAppDetails.projectId` (string, required)
    ID of the app project

  - `payload.conversationApiAppDetails.region` (string, required)
    App region.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.conversationApiAppDetails.channelStatus` (string)
    Status of the channel credentials integration.
    Enum: "ACTIVE", "FAILING", "PENDING", "UNRECOGNIZED"

  - `payload.maxTps` (number)
    Maximum sender TPS.

  - `payload.qualityRating` (string)
    Current quality rating of the sender.
    Enum: "GREEN", "RED", "YELLOW", "UNKNOWN", "UNRECOGNIZED"

  - `payload.dailyLimit` (string)
    This property is deprecated. Use `AccountDto.businessDailyLimit` instead. Current daily message limit of the sender.
    Enum: "NOT_SET", "TIER_100K", "TIER_10K", "TIER_1K", "TIER_250", "TIER_2K", "TIER_50", "TIER_UNLIMITED", "UNRECOGNIZED"

  - `payload.bearerToken` (string)
    Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.

  - `payload.cloudApi` (boolean, required)
    True if the sender is hosted in WhatsApp Cloud API.

  - `payload.created` (string)
    The UTC Date Time in ISO 8601 for when the sender was created.

  - `payload.modified` (string)
    The UTC Date Time in ISO 8601 for when the sender was last modified.

  - `payload.countryCode` (string)
    Country code of sender phone number.

  - `payload.phoneNumber` (string)
    Sender phone number without country code.

  - `payload.numberProvider` (string)
    Provider for phone number.
    Enum: "CUSTOMER", "SINCH", "UNRECOGNIZED"

  - `payload.businessManager` (string, required)
    Business manager.
    Enum: "SINCH_AMERICA", "SINCH_BR", "SINCH_MX", "SINCH_SEP", "SINCH_UK", "UNRECOGNIZED"

  - `payload.wabaBanState` (string)
    Please use get account endpoint for this information.
    Enum: "DISABLE", "REINSTATE", "SCHEDULE_FOR_DISABLE", "UNRECOGNIZED"

  - `payload.wabaBanDate` (string)
    Please use get account endpoint for this information.

  - `payload.compatibleRegions` (array, required)
    Conversation API app regions the sender can be used for.

  - `comment` (string)
    Comment for sender.

  - `type` (string, required)
    Type of event, in this case `WHATSAPP_SENDER_REJECTED`.

  - `payload` (object, required)
    Sender at time of callback.

  - `payload.id` (string, required)
    The unique ID of the sender.

  - `payload.state` (string)
    The current state of the sender.
    Enum: "ACTIVE", "IN_PROGRESS", "INACTIVE", "PENDING_VERIFICATION", "SUSPENDED", "ERROR"

  - `payload.changes` (object)
    Any pending changes to the sender.

  - `payload.changes.status` (string, required)
    Current status of the pending changes.
    Enum: "DRAFT", "ERROR", "IN_PROGRESS", "MULTIPLE_WABA_ERROR", "REJECTED"

  - `payload.changes.details` (any)
    The pending changes to sender details and information

  - `payload.changes.details.displayName` (string, required)
    Sender display name within WhatsApp.

  - `payload.changes.details.description` (string)
    Description of the sender displayed in the Business Info within WhatsApp.

  - `payload.changes.details.vertical` (string, required)
    Category of the sender displayed in the Business Info within WhatsApp.
    Enum: "ALCOHOL", "AUTOMOTIVE", "BEAUTY_SPA_SALON", "CLOTHING_AND_APPAREL", "EDUCATION", "ENTERTAINMENT", "EVENT_PLANNING_AND_SERVICE", "FINANCE_AND_BANKING", "FOOD_AND_GROCERY", "HOTEL_AND_LODGING", "MEDICAL_AND_HEALTH", "NON_PROFIT", "NOT_SET", "ONLINE_GAMBLING", "OTC_DRUGS", "OTHER", "PHYSICAL_GAMBLING", "PROFESSIONAL_SERVICES", "PUBLIC_SERVICE", "RESTAURANT", "SHOPPING_AND_RETAIL", "TRAVEL_AND_TRANSPORTATION", "UNRECOGNIZED"

  - `payload.changes.details.email` (string)
    Contact email displayed in the Business Info within WhatsApp.

  - `payload.changes.details.address` (string)
    Business address displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteOne` (string)
    Business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteTwo` (string)
    Second business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.about` (string)
    About text displayed in the Business Info within WhatsApp.
- Hyperlinks can be included but will not render as clickable links.
- Markdown is not supported.

  - `payload.changes.details.photoUrl` (string)
    URL to the sender image displayed in WhatsApp.
- Supported mime types:
`image/jpeg`
,
`image/png`
 or
`image/webp`
.
- Maximum file size: 5MB.
- Minimum image dimensions: 192 x 192 px.
- Maximum image dimensions: 640 x 640 px.
- Image will be cropped to maximum image dimensions.
- If you submit a PNG image with a transparent background, the background will be rendered as black.

  - `payload.changes.details.username` (string)
    WhatsApp Business username of the sender.

  - `payload.changes.errorReason` (string)
    Error reason if sender is in state `ERROR`.

  - `payload.changes.errorCode` (string)
    Error code if sender is in state `ERROR`.
    Enum: "CANNOT_ASSIGN_CREDIT_LINE", "CANNOT_ASSIGN_SYSTEM_USER", "CANNOT_CREATE_NEW_WHATSAPP_SENDER", "CANNOT_CREATE_WABA_FOR_BUSINESS", "CANNOT_GET_DETAILS_FOR_CLOUD_API", "CANNOT_GET_WABA_DETAILS", "CANNOT_REGISTER_NEW_WHATSAPP_SENDER", "CANNOT_REGISTER_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_WEBHOOK", "DUPLICATES_ON_SENDER_PHONE_NUMBER", "FAILED_TO_FETCH_APPROVED_MESSAGE_TEMPLATES", "MULTIPLE_WABA_FOR_PROJECT_ID", "NO_CERTIFICATE_AVAILABLE", "NO_NOVA_ACCOUNT_ID", "NO_PRICING_PLAN", "NO_PROJECT_ID", "NO_VERIFIED_PHONE_NUMBER", "NOT_VERIFIED_REQUESTED_PHONE_NUMBER", "NOT_VERIFY_BUSINESS_VIA_WHATSAPP", "NOVA_ACCOUNT_ID_CONFLICT", "PROJECT_ID_CONFLICT", "SENDER_HAS_BEEN_DELETED", "WABA_CONNECTED_TO_ANOTHER_PROJECT", "UNKNOWN_ERROR", "UNRECOGNIZED"

  - `payload.details` (object)
    Sender details and information.

  - `payload.metadata` (object)
    Data about the current state of individual sender fields.

  - `payload.metadata.username` (object)
    Approval status of the sender username.

  - `payload.metadata.username.value` (string)
    Requested value of the field.

  - `payload.metadata.username.status` (string, required)
    Current approval status of the field.
    Enum: "APPROVED", "DEFERRED", "DELETED", "EXPIRED", "PENDING", "REJECTED", "RESERVED", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.metadata.username.rejectionReason` (string)
    Reason for rejection if the field update was rejected.

  - `payload.region` (string, required)
    Region sender is provisioned in.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.metaLocalStorage` (string, required)
    Region sender store the data in Meta.
    Enum: "AE", "AU", "BH", "BR", "CA", "CH", "DE", "GB", "ID", "IN", "JP", "KR", "SG", "US", "ZA", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.conversationApiApp` (string)
    If set, the Conversation API App ID the sender is connected to.

  - `payload.conversationApiAppDetails` (object)
    If set, the details of the Conversation API App the sender is connected to.

  - `payload.conversationApiAppDetails.id` (string, required)
    ID of the app

  - `payload.conversationApiAppDetails.projectId` (string, required)
    ID of the app project

  - `payload.conversationApiAppDetails.region` (string, required)
    App region.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.conversationApiAppDetails.channelStatus` (string)
    Status of the channel credentials integration.
    Enum: "ACTIVE", "FAILING", "PENDING", "UNRECOGNIZED"

  - `payload.maxTps` (number)
    Maximum sender TPS.

  - `payload.qualityRating` (string)
    Current quality rating of the sender.
    Enum: "GREEN", "RED", "YELLOW", "UNKNOWN", "UNRECOGNIZED"

  - `payload.dailyLimit` (string)
    This property is deprecated. Use `AccountDto.businessDailyLimit` instead. Current daily message limit of the sender.
    Enum: "NOT_SET", "TIER_100K", "TIER_10K", "TIER_1K", "TIER_250", "TIER_2K", "TIER_50", "TIER_UNLIMITED", "UNRECOGNIZED"

  - `payload.bearerToken` (string)
    Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.

  - `payload.cloudApi` (boolean, required)
    True if the sender is hosted in WhatsApp Cloud API.

  - `payload.created` (string)
    The UTC Date Time in ISO 8601 for when the sender was created.

  - `payload.modified` (string)
    The UTC Date Time in ISO 8601 for when the sender was last modified.

  - `payload.countryCode` (string)
    Country code of sender phone number.

  - `payload.phoneNumber` (string)
    Sender phone number without country code.

  - `payload.numberProvider` (string)
    Provider for phone number.
    Enum: "CUSTOMER", "SINCH", "UNRECOGNIZED"

  - `payload.businessManager` (string, required)
    Business manager.
    Enum: "SINCH_AMERICA", "SINCH_BR", "SINCH_MX", "SINCH_SEP", "SINCH_UK", "UNRECOGNIZED"

  - `payload.wabaBanState` (string)
    Please use get account endpoint for this information.
    Enum: "DISABLE", "REINSTATE", "SCHEDULE_FOR_DISABLE", "UNRECOGNIZED"

  - `payload.wabaBanDate` (string)
    Please use get account endpoint for this information.

  - `payload.compatibleRegions` (array, required)
    Conversation API app regions the sender can be used for.

  - `comment` (string)
    Comment for sender.

  - `type` (string, required)
    Type of event, in this case `WHATSAPP_SENDER_ERROR`.

  - `payload` (object, required)
    Sender at time of callback.

  - `payload.id` (string, required)
    The unique ID of the sender.

  - `payload.state` (string)
    The current state of the sender.
    Enum: "ACTIVE", "IN_PROGRESS", "INACTIVE", "PENDING_VERIFICATION", "SUSPENDED", "ERROR"

  - `payload.changes` (object)
    Any pending changes to the sender.

  - `payload.changes.status` (string, required)
    Current status of the pending changes.
    Enum: "DRAFT", "ERROR", "IN_PROGRESS", "MULTIPLE_WABA_ERROR", "REJECTED"

  - `payload.changes.details` (any)
    The pending changes to sender details and information

  - `payload.changes.details.displayName` (string, required)
    Sender display name within WhatsApp.

  - `payload.changes.details.description` (string)
    Description of the sender displayed in the Business Info within WhatsApp.

  - `payload.changes.details.vertical` (string, required)
    Category of the sender displayed in the Business Info within WhatsApp.
    Enum: "ALCOHOL", "AUTOMOTIVE", "BEAUTY_SPA_SALON", "CLOTHING_AND_APPAREL", "EDUCATION", "ENTERTAINMENT", "EVENT_PLANNING_AND_SERVICE", "FINANCE_AND_BANKING", "FOOD_AND_GROCERY", "HOTEL_AND_LODGING", "MEDICAL_AND_HEALTH", "NON_PROFIT", "NOT_SET", "ONLINE_GAMBLING", "OTC_DRUGS", "OTHER", "PHYSICAL_GAMBLING", "PROFESSIONAL_SERVICES", "PUBLIC_SERVICE", "RESTAURANT", "SHOPPING_AND_RETAIL", "TRAVEL_AND_TRANSPORTATION", "UNRECOGNIZED"

  - `payload.changes.details.email` (string)
    Contact email displayed in the Business Info within WhatsApp.

  - `payload.changes.details.address` (string)
    Business address displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteOne` (string)
    Business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteTwo` (string)
    Second business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.about` (string)
    About text displayed in the Business Info within WhatsApp.
- Hyperlinks can be included but will not render as clickable links.
- Markdown is not supported.

  - `payload.changes.details.photoUrl` (string)
    URL to the sender image displayed in WhatsApp.
- Supported mime types:
`image/jpeg`
,
`image/png`
 or
`image/webp`
.
- Maximum file size: 5MB.
- Minimum image dimensions: 192 x 192 px.
- Maximum image dimensions: 640 x 640 px.
- Image will be cropped to maximum image dimensions.
- If you submit a PNG image with a transparent background, the background will be rendered as black.

  - `payload.changes.details.username` (string)
    WhatsApp Business username of the sender.

  - `payload.changes.errorReason` (string)
    Error reason if sender is in state `ERROR`.

  - `payload.changes.errorCode` (string)
    Error code if sender is in state `ERROR`.
    Enum: "CANNOT_ASSIGN_CREDIT_LINE", "CANNOT_ASSIGN_SYSTEM_USER", "CANNOT_CREATE_NEW_WHATSAPP_SENDER", "CANNOT_CREATE_WABA_FOR_BUSINESS", "CANNOT_GET_DETAILS_FOR_CLOUD_API", "CANNOT_GET_WABA_DETAILS", "CANNOT_REGISTER_NEW_WHATSAPP_SENDER", "CANNOT_REGISTER_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_WEBHOOK", "DUPLICATES_ON_SENDER_PHONE_NUMBER", "FAILED_TO_FETCH_APPROVED_MESSAGE_TEMPLATES", "MULTIPLE_WABA_FOR_PROJECT_ID", "NO_CERTIFICATE_AVAILABLE", "NO_NOVA_ACCOUNT_ID", "NO_PRICING_PLAN", "NO_PROJECT_ID", "NO_VERIFIED_PHONE_NUMBER", "NOT_VERIFIED_REQUESTED_PHONE_NUMBER", "NOT_VERIFY_BUSINESS_VIA_WHATSAPP", "NOVA_ACCOUNT_ID_CONFLICT", "PROJECT_ID_CONFLICT", "SENDER_HAS_BEEN_DELETED", "WABA_CONNECTED_TO_ANOTHER_PROJECT", "UNKNOWN_ERROR", "UNRECOGNIZED"

  - `payload.details` (object)
    Sender details and information.

  - `payload.metadata` (object)
    Data about the current state of individual sender fields.

  - `payload.metadata.username` (object)
    Approval status of the sender username.

  - `payload.metadata.username.value` (string)
    Requested value of the field.

  - `payload.metadata.username.status` (string, required)
    Current approval status of the field.
    Enum: "APPROVED", "DEFERRED", "DELETED", "EXPIRED", "PENDING", "REJECTED", "RESERVED", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.metadata.username.rejectionReason` (string)
    Reason for rejection if the field update was rejected.

  - `payload.region` (string, required)
    Region sender is provisioned in.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.metaLocalStorage` (string, required)
    Region sender store the data in Meta.
    Enum: "AE", "AU", "BH", "BR", "CA", "CH", "DE", "GB", "ID", "IN", "JP", "KR", "SG", "US", "ZA", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.conversationApiApp` (string)
    If set, the Conversation API App ID the sender is connected to.

  - `payload.conversationApiAppDetails` (object)
    If set, the details of the Conversation API App the sender is connected to.

  - `payload.conversationApiAppDetails.id` (string, required)
    ID of the app

  - `payload.conversationApiAppDetails.projectId` (string, required)
    ID of the app project

  - `payload.conversationApiAppDetails.region` (string, required)
    App region.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.conversationApiAppDetails.channelStatus` (string)
    Status of the channel credentials integration.
    Enum: "ACTIVE", "FAILING", "PENDING", "UNRECOGNIZED"

  - `payload.maxTps` (number)
    Maximum sender TPS.

  - `payload.qualityRating` (string)
    Current quality rating of the sender.
    Enum: "GREEN", "RED", "YELLOW", "UNKNOWN", "UNRECOGNIZED"

  - `payload.dailyLimit` (string)
    This property is deprecated. Use `AccountDto.businessDailyLimit` instead. Current daily message limit of the sender.
    Enum: "NOT_SET", "TIER_100K", "TIER_10K", "TIER_1K", "TIER_250", "TIER_2K", "TIER_50", "TIER_UNLIMITED", "UNRECOGNIZED"

  - `payload.bearerToken` (string)
    Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.

  - `payload.cloudApi` (boolean, required)
    True if the sender is hosted in WhatsApp Cloud API.

  - `payload.created` (string)
    The UTC Date Time in ISO 8601 for when the sender was created.

  - `payload.modified` (string)
    The UTC Date Time in ISO 8601 for when the sender was last modified.

  - `payload.countryCode` (string)
    Country code of sender phone number.

  - `payload.phoneNumber` (string)
    Sender phone number without country code.

  - `payload.numberProvider` (string)
    Provider for phone number.
    Enum: "CUSTOMER", "SINCH", "UNRECOGNIZED"

  - `payload.businessManager` (string, required)
    Business manager.
    Enum: "SINCH_AMERICA", "SINCH_BR", "SINCH_MX", "SINCH_SEP", "SINCH_UK", "UNRECOGNIZED"

  - `payload.wabaBanState` (string)
    Please use get account endpoint for this information.
    Enum: "DISABLE", "REINSTATE", "SCHEDULE_FOR_DISABLE", "UNRECOGNIZED"

  - `payload.wabaBanDate` (string)
    Please use get account endpoint for this information.

  - `payload.compatibleRegions` (array, required)
    Conversation API app regions the sender can be used for.

  - `comment` (string)
    Comment for sender.

  - `type` (string, required)
    Type of event, in this case `WHATSAPP_SENDER_DAILY_LIMIT_CHANGED`.

  - `payload` (object, required)
    Sender at time of callback.

  - `payload.id` (string, required)
    The unique ID of the sender.

  - `payload.state` (string)
    The current state of the sender.
    Enum: "ACTIVE", "IN_PROGRESS", "INACTIVE", "PENDING_VERIFICATION", "SUSPENDED", "ERROR"

  - `payload.changes` (object)
    Any pending changes to the sender.

  - `payload.changes.status` (string, required)
    Current status of the pending changes.
    Enum: "DRAFT", "ERROR", "IN_PROGRESS", "MULTIPLE_WABA_ERROR", "REJECTED"

  - `payload.changes.details` (any)
    The pending changes to sender details and information

  - `payload.changes.details.displayName` (string, required)
    Sender display name within WhatsApp.

  - `payload.changes.details.description` (string)
    Description of the sender displayed in the Business Info within WhatsApp.

  - `payload.changes.details.vertical` (string, required)
    Category of the sender displayed in the Business Info within WhatsApp.
    Enum: "ALCOHOL", "AUTOMOTIVE", "BEAUTY_SPA_SALON", "CLOTHING_AND_APPAREL", "EDUCATION", "ENTERTAINMENT", "EVENT_PLANNING_AND_SERVICE", "FINANCE_AND_BANKING", "FOOD_AND_GROCERY", "HOTEL_AND_LODGING", "MEDICAL_AND_HEALTH", "NON_PROFIT", "NOT_SET", "ONLINE_GAMBLING", "OTC_DRUGS", "OTHER", "PHYSICAL_GAMBLING", "PROFESSIONAL_SERVICES", "PUBLIC_SERVICE", "RESTAURANT", "SHOPPING_AND_RETAIL", "TRAVEL_AND_TRANSPORTATION", "UNRECOGNIZED"

  - `payload.changes.details.email` (string)
    Contact email displayed in the Business Info within WhatsApp.

  - `payload.changes.details.address` (string)
    Business address displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteOne` (string)
    Business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteTwo` (string)
    Second business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.about` (string)
    About text displayed in the Business Info within WhatsApp.
- Hyperlinks can be included but will not render as clickable links.
- Markdown is not supported.

  - `payload.changes.details.photoUrl` (string)
    URL to the sender image displayed in WhatsApp.
- Supported mime types:
`image/jpeg`
,
`image/png`
 or
`image/webp`
.
- Maximum file size: 5MB.
- Minimum image dimensions: 192 x 192 px.
- Maximum image dimensions: 640 x 640 px.
- Image will be cropped to maximum image dimensions.
- If you submit a PNG image with a transparent background, the background will be rendered as black.

  - `payload.changes.details.username` (string)
    WhatsApp Business username of the sender.

  - `payload.changes.errorReason` (string)
    Error reason if sender is in state `ERROR`.

  - `payload.changes.errorCode` (string)
    Error code if sender is in state `ERROR`.
    Enum: "CANNOT_ASSIGN_CREDIT_LINE", "CANNOT_ASSIGN_SYSTEM_USER", "CANNOT_CREATE_NEW_WHATSAPP_SENDER", "CANNOT_CREATE_WABA_FOR_BUSINESS", "CANNOT_GET_DETAILS_FOR_CLOUD_API", "CANNOT_GET_WABA_DETAILS", "CANNOT_REGISTER_NEW_WHATSAPP_SENDER", "CANNOT_REGISTER_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_WEBHOOK", "DUPLICATES_ON_SENDER_PHONE_NUMBER", "FAILED_TO_FETCH_APPROVED_MESSAGE_TEMPLATES", "MULTIPLE_WABA_FOR_PROJECT_ID", "NO_CERTIFICATE_AVAILABLE", "NO_NOVA_ACCOUNT_ID", "NO_PRICING_PLAN", "NO_PROJECT_ID", "NO_VERIFIED_PHONE_NUMBER", "NOT_VERIFIED_REQUESTED_PHONE_NUMBER", "NOT_VERIFY_BUSINESS_VIA_WHATSAPP", "NOVA_ACCOUNT_ID_CONFLICT", "PROJECT_ID_CONFLICT", "SENDER_HAS_BEEN_DELETED", "WABA_CONNECTED_TO_ANOTHER_PROJECT", "UNKNOWN_ERROR", "UNRECOGNIZED"

  - `payload.details` (object)
    Sender details and information.

  - `payload.metadata` (object)
    Data about the current state of individual sender fields.

  - `payload.metadata.username` (object)
    Approval status of the sender username.

  - `payload.metadata.username.value` (string)
    Requested value of the field.

  - `payload.metadata.username.status` (string, required)
    Current approval status of the field.
    Enum: "APPROVED", "DEFERRED", "DELETED", "EXPIRED", "PENDING", "REJECTED", "RESERVED", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.metadata.username.rejectionReason` (string)
    Reason for rejection if the field update was rejected.

  - `payload.region` (string, required)
    Region sender is provisioned in.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.metaLocalStorage` (string, required)
    Region sender store the data in Meta.
    Enum: "AE", "AU", "BH", "BR", "CA", "CH", "DE", "GB", "ID", "IN", "JP", "KR", "SG", "US", "ZA", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.conversationApiApp` (string)
    If set, the Conversation API App ID the sender is connected to.

  - `payload.conversationApiAppDetails` (object)
    If set, the details of the Conversation API App the sender is connected to.

  - `payload.conversationApiAppDetails.id` (string, required)
    ID of the app

  - `payload.conversationApiAppDetails.projectId` (string, required)
    ID of the app project

  - `payload.conversationApiAppDetails.region` (string, required)
    App region.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.conversationApiAppDetails.channelStatus` (string)
    Status of the channel credentials integration.
    Enum: "ACTIVE", "FAILING", "PENDING", "UNRECOGNIZED"

  - `payload.maxTps` (number)
    Maximum sender TPS.

  - `payload.qualityRating` (string)
    Current quality rating of the sender.
    Enum: "GREEN", "RED", "YELLOW", "UNKNOWN", "UNRECOGNIZED"

  - `payload.dailyLimit` (string)
    This property is deprecated. Use `AccountDto.businessDailyLimit` instead. Current daily message limit of the sender.
    Enum: "NOT_SET", "TIER_100K", "TIER_10K", "TIER_1K", "TIER_250", "TIER_2K", "TIER_50", "TIER_UNLIMITED", "UNRECOGNIZED"

  - `payload.bearerToken` (string)
    Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.

  - `payload.cloudApi` (boolean, required)
    True if the sender is hosted in WhatsApp Cloud API.

  - `payload.created` (string)
    The UTC Date Time in ISO 8601 for when the sender was created.

  - `payload.modified` (string)
    The UTC Date Time in ISO 8601 for when the sender was last modified.

  - `payload.countryCode` (string)
    Country code of sender phone number.

  - `payload.phoneNumber` (string)
    Sender phone number without country code.

  - `payload.numberProvider` (string)
    Provider for phone number.
    Enum: "CUSTOMER", "SINCH", "UNRECOGNIZED"

  - `payload.businessManager` (string, required)
    Business manager.
    Enum: "SINCH_AMERICA", "SINCH_BR", "SINCH_MX", "SINCH_SEP", "SINCH_UK", "UNRECOGNIZED"

  - `payload.wabaBanState` (string)
    Please use get account endpoint for this information.
    Enum: "DISABLE", "REINSTATE", "SCHEDULE_FOR_DISABLE", "UNRECOGNIZED"

  - `payload.wabaBanDate` (string)
    Please use get account endpoint for this information.

  - `payload.compatibleRegions` (array, required)
    Conversation API app regions the sender can be used for.

  - `comment` (string)
    Comment for sender.

  - `type` (string, required)
    Type of event, in this case `WHATSAPP_SENDER_QUALITY_RATING_CHANGED`.

  - `payload` (object, required)
    Sender at time of callback.

  - `payload.id` (string, required)
    The unique ID of the sender.

  - `payload.state` (string)
    The current state of the sender.
    Enum: "ACTIVE", "IN_PROGRESS", "INACTIVE", "PENDING_VERIFICATION", "SUSPENDED", "ERROR"

  - `payload.changes` (object)
    Any pending changes to the sender.

  - `payload.changes.status` (string, required)
    Current status of the pending changes.
    Enum: "DRAFT", "ERROR", "IN_PROGRESS", "MULTIPLE_WABA_ERROR", "REJECTED"

  - `payload.changes.details` (any)
    The pending changes to sender details and information

  - `payload.changes.details.displayName` (string, required)
    Sender display name within WhatsApp.

  - `payload.changes.details.description` (string)
    Description of the sender displayed in the Business Info within WhatsApp.

  - `payload.changes.details.vertical` (string, required)
    Category of the sender displayed in the Business Info within WhatsApp.
    Enum: "ALCOHOL", "AUTOMOTIVE", "BEAUTY_SPA_SALON", "CLOTHING_AND_APPAREL", "EDUCATION", "ENTERTAINMENT", "EVENT_PLANNING_AND_SERVICE", "FINANCE_AND_BANKING", "FOOD_AND_GROCERY", "HOTEL_AND_LODGING", "MEDICAL_AND_HEALTH", "NON_PROFIT", "NOT_SET", "ONLINE_GAMBLING", "OTC_DRUGS", "OTHER", "PHYSICAL_GAMBLING", "PROFESSIONAL_SERVICES", "PUBLIC_SERVICE", "RESTAURANT", "SHOPPING_AND_RETAIL", "TRAVEL_AND_TRANSPORTATION", "UNRECOGNIZED"

  - `payload.changes.details.email` (string)
    Contact email displayed in the Business Info within WhatsApp.

  - `payload.changes.details.address` (string)
    Business address displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteOne` (string)
    Business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteTwo` (string)
    Second business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.about` (string)
    About text displayed in the Business Info within WhatsApp.
- Hyperlinks can be included but will not render as clickable links.
- Markdown is not supported.

  - `payload.changes.details.photoUrl` (string)
    URL to the sender image displayed in WhatsApp.
- Supported mime types:
`image/jpeg`
,
`image/png`
 or
`image/webp`
.
- Maximum file size: 5MB.
- Minimum image dimensions: 192 x 192 px.
- Maximum image dimensions: 640 x 640 px.
- Image will be cropped to maximum image dimensions.
- If you submit a PNG image with a transparent background, the background will be rendered as black.

  - `payload.changes.details.username` (string)
    WhatsApp Business username of the sender.

  - `payload.changes.errorReason` (string)
    Error reason if sender is in state `ERROR`.

  - `payload.changes.errorCode` (string)
    Error code if sender is in state `ERROR`.
    Enum: "CANNOT_ASSIGN_CREDIT_LINE", "CANNOT_ASSIGN_SYSTEM_USER", "CANNOT_CREATE_NEW_WHATSAPP_SENDER", "CANNOT_CREATE_WABA_FOR_BUSINESS", "CANNOT_GET_DETAILS_FOR_CLOUD_API", "CANNOT_GET_WABA_DETAILS", "CANNOT_REGISTER_NEW_WHATSAPP_SENDER", "CANNOT_REGISTER_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_WEBHOOK", "DUPLICATES_ON_SENDER_PHONE_NUMBER", "FAILED_TO_FETCH_APPROVED_MESSAGE_TEMPLATES", "MULTIPLE_WABA_FOR_PROJECT_ID", "NO_CERTIFICATE_AVAILABLE", "NO_NOVA_ACCOUNT_ID", "NO_PRICING_PLAN", "NO_PROJECT_ID", "NO_VERIFIED_PHONE_NUMBER", "NOT_VERIFIED_REQUESTED_PHONE_NUMBER", "NOT_VERIFY_BUSINESS_VIA_WHATSAPP", "NOVA_ACCOUNT_ID_CONFLICT", "PROJECT_ID_CONFLICT", "SENDER_HAS_BEEN_DELETED", "WABA_CONNECTED_TO_ANOTHER_PROJECT", "UNKNOWN_ERROR", "UNRECOGNIZED"

  - `payload.details` (object)
    Sender details and information.

  - `payload.metadata` (object)
    Data about the current state of individual sender fields.

  - `payload.metadata.username` (object)
    Approval status of the sender username.

  - `payload.metadata.username.value` (string)
    Requested value of the field.

  - `payload.metadata.username.status` (string, required)
    Current approval status of the field.
    Enum: "APPROVED", "DEFERRED", "DELETED", "EXPIRED", "PENDING", "REJECTED", "RESERVED", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.metadata.username.rejectionReason` (string)
    Reason for rejection if the field update was rejected.

  - `payload.region` (string, required)
    Region sender is provisioned in.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.metaLocalStorage` (string, required)
    Region sender store the data in Meta.
    Enum: "AE", "AU", "BH", "BR", "CA", "CH", "DE", "GB", "ID", "IN", "JP", "KR", "SG", "US", "ZA", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.conversationApiApp` (string)
    If set, the Conversation API App ID the sender is connected to.

  - `payload.conversationApiAppDetails` (object)
    If set, the details of the Conversation API App the sender is connected to.

  - `payload.conversationApiAppDetails.id` (string, required)
    ID of the app

  - `payload.conversationApiAppDetails.projectId` (string, required)
    ID of the app project

  - `payload.conversationApiAppDetails.region` (string, required)
    App region.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.conversationApiAppDetails.channelStatus` (string)
    Status of the channel credentials integration.
    Enum: "ACTIVE", "FAILING", "PENDING", "UNRECOGNIZED"

  - `payload.maxTps` (number)
    Maximum sender TPS.

  - `payload.qualityRating` (string)
    Current quality rating of the sender.
    Enum: "GREEN", "RED", "YELLOW", "UNKNOWN", "UNRECOGNIZED"

  - `payload.dailyLimit` (string)
    This property is deprecated. Use `AccountDto.businessDailyLimit` instead. Current daily message limit of the sender.
    Enum: "NOT_SET", "TIER_100K", "TIER_10K", "TIER_1K", "TIER_250", "TIER_2K", "TIER_50", "TIER_UNLIMITED", "UNRECOGNIZED"

  - `payload.bearerToken` (string)
    Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.

  - `payload.cloudApi` (boolean, required)
    True if the sender is hosted in WhatsApp Cloud API.

  - `payload.created` (string)
    The UTC Date Time in ISO 8601 for when the sender was created.

  - `payload.modified` (string)
    The UTC Date Time in ISO 8601 for when the sender was last modified.

  - `payload.countryCode` (string)
    Country code of sender phone number.

  - `payload.phoneNumber` (string)
    Sender phone number without country code.

  - `payload.numberProvider` (string)
    Provider for phone number.
    Enum: "CUSTOMER", "SINCH", "UNRECOGNIZED"

  - `payload.businessManager` (string, required)
    Business manager.
    Enum: "SINCH_AMERICA", "SINCH_BR", "SINCH_MX", "SINCH_SEP", "SINCH_UK", "UNRECOGNIZED"

  - `payload.wabaBanState` (string)
    Please use get account endpoint for this information.
    Enum: "DISABLE", "REINSTATE", "SCHEDULE_FOR_DISABLE", "UNRECOGNIZED"

  - `payload.wabaBanDate` (string)
    Please use get account endpoint for this information.

  - `payload.compatibleRegions` (array, required)
    Conversation API app regions the sender can be used for.

  - `comment` (string)
    Comment for sender.

  - `type` (string, required)
    Type of event, in this case `WHATSAPP_SENDER_DELETED`.

  - `payload` (object, required)
    Sender at time of callback.

  - `payload.id` (string, required)
    The unique ID of the sender.

  - `payload.state` (string)
    The current state of the sender.
    Enum: "ACTIVE", "IN_PROGRESS", "INACTIVE", "PENDING_VERIFICATION", "SUSPENDED", "ERROR"

  - `payload.changes` (object)
    Any pending changes to the sender.

  - `payload.changes.status` (string, required)
    Current status of the pending changes.
    Enum: "DRAFT", "ERROR", "IN_PROGRESS", "MULTIPLE_WABA_ERROR", "REJECTED"

  - `payload.changes.details` (any)
    The pending changes to sender details and information

  - `payload.changes.details.displayName` (string, required)
    Sender display name within WhatsApp.

  - `payload.changes.details.description` (string)
    Description of the sender displayed in the Business Info within WhatsApp.

  - `payload.changes.details.vertical` (string, required)
    Category of the sender displayed in the Business Info within WhatsApp.
    Enum: "ALCOHOL", "AUTOMOTIVE", "BEAUTY_SPA_SALON", "CLOTHING_AND_APPAREL", "EDUCATION", "ENTERTAINMENT", "EVENT_PLANNING_AND_SERVICE", "FINANCE_AND_BANKING", "FOOD_AND_GROCERY", "HOTEL_AND_LODGING", "MEDICAL_AND_HEALTH", "NON_PROFIT", "NOT_SET", "ONLINE_GAMBLING", "OTC_DRUGS", "OTHER", "PHYSICAL_GAMBLING", "PROFESSIONAL_SERVICES", "PUBLIC_SERVICE", "RESTAURANT", "SHOPPING_AND_RETAIL", "TRAVEL_AND_TRANSPORTATION", "UNRECOGNIZED"

  - `payload.changes.details.email` (string)
    Contact email displayed in the Business Info within WhatsApp.

  - `payload.changes.details.address` (string)
    Business address displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteOne` (string)
    Business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteTwo` (string)
    Second business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.about` (string)
    About text displayed in the Business Info within WhatsApp.
- Hyperlinks can be included but will not render as clickable links.
- Markdown is not supported.

  - `payload.changes.details.photoUrl` (string)
    URL to the sender image displayed in WhatsApp.
- Supported mime types:
`image/jpeg`
,
`image/png`
 or
`image/webp`
.
- Maximum file size: 5MB.
- Minimum image dimensions: 192 x 192 px.
- Maximum image dimensions: 640 x 640 px.
- Image will be cropped to maximum image dimensions.
- If you submit a PNG image with a transparent background, the background will be rendered as black.

  - `payload.changes.details.username` (string)
    WhatsApp Business username of the sender.

  - `payload.changes.errorReason` (string)
    Error reason if sender is in state `ERROR`.

  - `payload.changes.errorCode` (string)
    Error code if sender is in state `ERROR`.
    Enum: "CANNOT_ASSIGN_CREDIT_LINE", "CANNOT_ASSIGN_SYSTEM_USER", "CANNOT_CREATE_NEW_WHATSAPP_SENDER", "CANNOT_CREATE_WABA_FOR_BUSINESS", "CANNOT_GET_DETAILS_FOR_CLOUD_API", "CANNOT_GET_WABA_DETAILS", "CANNOT_REGISTER_NEW_WHATSAPP_SENDER", "CANNOT_REGISTER_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_WEBHOOK", "DUPLICATES_ON_SENDER_PHONE_NUMBER", "FAILED_TO_FETCH_APPROVED_MESSAGE_TEMPLATES", "MULTIPLE_WABA_FOR_PROJECT_ID", "NO_CERTIFICATE_AVAILABLE", "NO_NOVA_ACCOUNT_ID", "NO_PRICING_PLAN", "NO_PROJECT_ID", "NO_VERIFIED_PHONE_NUMBER", "NOT_VERIFIED_REQUESTED_PHONE_NUMBER", "NOT_VERIFY_BUSINESS_VIA_WHATSAPP", "NOVA_ACCOUNT_ID_CONFLICT", "PROJECT_ID_CONFLICT", "SENDER_HAS_BEEN_DELETED", "WABA_CONNECTED_TO_ANOTHER_PROJECT", "UNKNOWN_ERROR", "UNRECOGNIZED"

  - `payload.details` (object)
    Sender details and information.

  - `payload.metadata` (object)
    Data about the current state of individual sender fields.

  - `payload.metadata.username` (object)
    Approval status of the sender username.

  - `payload.metadata.username.value` (string)
    Requested value of the field.

  - `payload.metadata.username.status` (string, required)
    Current approval status of the field.
    Enum: "APPROVED", "DEFERRED", "DELETED", "EXPIRED", "PENDING", "REJECTED", "RESERVED", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.metadata.username.rejectionReason` (string)
    Reason for rejection if the field update was rejected.

  - `payload.region` (string, required)
    Region sender is provisioned in.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.metaLocalStorage` (string, required)
    Region sender store the data in Meta.
    Enum: "AE", "AU", "BH", "BR", "CA", "CH", "DE", "GB", "ID", "IN", "JP", "KR", "SG", "US", "ZA", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.conversationApiApp` (string)
    If set, the Conversation API App ID the sender is connected to.

  - `payload.conversationApiAppDetails` (object)
    If set, the details of the Conversation API App the sender is connected to.

  - `payload.conversationApiAppDetails.id` (string, required)
    ID of the app

  - `payload.conversationApiAppDetails.projectId` (string, required)
    ID of the app project

  - `payload.conversationApiAppDetails.region` (string, required)
    App region.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.conversationApiAppDetails.channelStatus` (string)
    Status of the channel credentials integration.
    Enum: "ACTIVE", "FAILING", "PENDING", "UNRECOGNIZED"

  - `payload.maxTps` (number)
    Maximum sender TPS.

  - `payload.qualityRating` (string)
    Current quality rating of the sender.
    Enum: "GREEN", "RED", "YELLOW", "UNKNOWN", "UNRECOGNIZED"

  - `payload.dailyLimit` (string)
    This property is deprecated. Use `AccountDto.businessDailyLimit` instead. Current daily message limit of the sender.
    Enum: "NOT_SET", "TIER_100K", "TIER_10K", "TIER_1K", "TIER_250", "TIER_2K", "TIER_50", "TIER_UNLIMITED", "UNRECOGNIZED"

  - `payload.bearerToken` (string)
    Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.

  - `payload.cloudApi` (boolean, required)
    True if the sender is hosted in WhatsApp Cloud API.

  - `payload.created` (string)
    The UTC Date Time in ISO 8601 for when the sender was created.

  - `payload.modified` (string)
    The UTC Date Time in ISO 8601 for when the sender was last modified.

  - `payload.countryCode` (string)
    Country code of sender phone number.

  - `payload.phoneNumber` (string)
    Sender phone number without country code.

  - `payload.numberProvider` (string)
    Provider for phone number.
    Enum: "CUSTOMER", "SINCH", "UNRECOGNIZED"

  - `payload.businessManager` (string, required)
    Business manager.
    Enum: "SINCH_AMERICA", "SINCH_BR", "SINCH_MX", "SINCH_SEP", "SINCH_UK", "UNRECOGNIZED"

  - `payload.wabaBanState` (string)
    Please use get account endpoint for this information.
    Enum: "DISABLE", "REINSTATE", "SCHEDULE_FOR_DISABLE", "UNRECOGNIZED"

  - `payload.wabaBanDate` (string)
    Please use get account endpoint for this information.

  - `payload.compatibleRegions` (array, required)
    Conversation API app regions the sender can be used for.

  - `comment` (string)
    Comment for sender.

  - `type` (string, required)
    Type of event, in this case `WHATSAPP_SENDER_USERNAME_UPDATED`.

  - `payload` (object, required)
    Sender at time of callback.

  - `payload.id` (string, required)
    The unique ID of the sender.

  - `payload.state` (string)
    The current state of the sender.
    Enum: "ACTIVE", "IN_PROGRESS", "INACTIVE", "PENDING_VERIFICATION", "SUSPENDED", "ERROR"

  - `payload.changes` (object)
    Any pending changes to the sender.

  - `payload.changes.status` (string, required)
    Current status of the pending changes.
    Enum: "DRAFT", "ERROR", "IN_PROGRESS", "MULTIPLE_WABA_ERROR", "REJECTED"

  - `payload.changes.details` (any)
    The pending changes to sender details and information

  - `payload.changes.details.displayName` (string, required)
    Sender display name within WhatsApp.

  - `payload.changes.details.description` (string)
    Description of the sender displayed in the Business Info within WhatsApp.

  - `payload.changes.details.vertical` (string, required)
    Category of the sender displayed in the Business Info within WhatsApp.
    Enum: "ALCOHOL", "AUTOMOTIVE", "BEAUTY_SPA_SALON", "CLOTHING_AND_APPAREL", "EDUCATION", "ENTERTAINMENT", "EVENT_PLANNING_AND_SERVICE", "FINANCE_AND_BANKING", "FOOD_AND_GROCERY", "HOTEL_AND_LODGING", "MEDICAL_AND_HEALTH", "NON_PROFIT", "NOT_SET", "ONLINE_GAMBLING", "OTC_DRUGS", "OTHER", "PHYSICAL_GAMBLING", "PROFESSIONAL_SERVICES", "PUBLIC_SERVICE", "RESTAURANT", "SHOPPING_AND_RETAIL", "TRAVEL_AND_TRANSPORTATION", "UNRECOGNIZED"

  - `payload.changes.details.email` (string)
    Contact email displayed in the Business Info within WhatsApp.

  - `payload.changes.details.address` (string)
    Business address displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteOne` (string)
    Business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.websiteTwo` (string)
    Second business website displayed in the Business Info within WhatsApp.

  - `payload.changes.details.about` (string)
    About text displayed in the Business Info within WhatsApp.
- Hyperlinks can be included but will not render as clickable links.
- Markdown is not supported.

  - `payload.changes.details.photoUrl` (string)
    URL to the sender image displayed in WhatsApp.
- Supported mime types:
`image/jpeg`
,
`image/png`
 or
`image/webp`
.
- Maximum file size: 5MB.
- Minimum image dimensions: 192 x 192 px.
- Maximum image dimensions: 640 x 640 px.
- Image will be cropped to maximum image dimensions.
- If you submit a PNG image with a transparent background, the background will be rendered as black.

  - `payload.changes.details.username` (string)
    WhatsApp Business username of the sender.

  - `payload.changes.errorReason` (string)
    Error reason if sender is in state `ERROR`.

  - `payload.changes.errorCode` (string)
    Error code if sender is in state `ERROR`.
    Enum: "CANNOT_ASSIGN_CREDIT_LINE", "CANNOT_ASSIGN_SYSTEM_USER", "CANNOT_CREATE_NEW_WHATSAPP_SENDER", "CANNOT_CREATE_WABA_FOR_BUSINESS", "CANNOT_GET_DETAILS_FOR_CLOUD_API", "CANNOT_GET_WABA_DETAILS", "CANNOT_REGISTER_NEW_WHATSAPP_SENDER", "CANNOT_REGISTER_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_WEBHOOK", "DUPLICATES_ON_SENDER_PHONE_NUMBER", "FAILED_TO_FETCH_APPROVED_MESSAGE_TEMPLATES", "MULTIPLE_WABA_FOR_PROJECT_ID", "NO_CERTIFICATE_AVAILABLE", "NO_NOVA_ACCOUNT_ID", "NO_PRICING_PLAN", "NO_PROJECT_ID", "NO_VERIFIED_PHONE_NUMBER", "NOT_VERIFIED_REQUESTED_PHONE_NUMBER", "NOT_VERIFY_BUSINESS_VIA_WHATSAPP", "NOVA_ACCOUNT_ID_CONFLICT", "PROJECT_ID_CONFLICT", "SENDER_HAS_BEEN_DELETED", "WABA_CONNECTED_TO_ANOTHER_PROJECT", "UNKNOWN_ERROR", "UNRECOGNIZED"

  - `payload.details` (object)
    Sender details and information.

  - `payload.metadata` (object)
    Data about the current state of individual sender fields.

  - `payload.metadata.username` (object)
    Approval status of the sender username.

  - `payload.metadata.username.value` (string)
    Requested value of the field.

  - `payload.metadata.username.status` (string, required)
    Current approval status of the field.
    Enum: "APPROVED", "DEFERRED", "DELETED", "EXPIRED", "PENDING", "REJECTED", "RESERVED", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.metadata.username.rejectionReason` (string)
    Reason for rejection if the field update was rejected.

  - `payload.region` (string, required)
    Region sender is provisioned in.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.metaLocalStorage` (string, required)
    Region sender store the data in Meta.
    Enum: "AE", "AU", "BH", "BR", "CA", "CH", "DE", "GB", "ID", "IN", "JP", "KR", "SG", "US", "ZA", "UNRECOGNIZED", "UNSPECIFIED"

  - `payload.conversationApiApp` (string)
    If set, the Conversation API App ID the sender is connected to.

  - `payload.conversationApiAppDetails` (object)
    If set, the details of the Conversation API App the sender is connected to.

  - `payload.conversationApiAppDetails.id` (string, required)
    ID of the app

  - `payload.conversationApiAppDetails.projectId` (string, required)
    ID of the app project

  - `payload.conversationApiAppDetails.region` (string, required)
    App region.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `payload.conversationApiAppDetails.channelStatus` (string)
    Status of the channel credentials integration.
    Enum: "ACTIVE", "FAILING", "PENDING", "UNRECOGNIZED"

  - `payload.maxTps` (number)
    Maximum sender TPS.

  - `payload.qualityRating` (string)
    Current quality rating of the sender.
    Enum: "GREEN", "RED", "YELLOW", "UNKNOWN", "UNRECOGNIZED"

  - `payload.dailyLimit` (string)
    This property is deprecated. Use `AccountDto.businessDailyLimit` instead. Current daily message limit of the sender.
    Enum: "NOT_SET", "TIER_100K", "TIER_10K", "TIER_1K", "TIER_250", "TIER_2K", "TIER_50", "TIER_UNLIMITED", "UNRECOGNIZED"

  - `payload.bearerToken` (string)
    Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.

  - `payload.cloudApi` (boolean, required)
    True if the sender is hosted in WhatsApp Cloud API.

  - `payload.created` (string)
    The UTC Date Time in ISO 8601 for when the sender was created.

  - `payload.modified` (string)
    The UTC Date Time in ISO 8601 for when the sender was last modified.

  - `payload.countryCode` (string)
    Country code of sender phone number.

  - `payload.phoneNumber` (string)
    Sender phone number without country code.

  - `payload.numberProvider` (string)
    Provider for phone number.
    Enum: "CUSTOMER", "SINCH", "UNRECOGNIZED"

  - `payload.businessManager` (string, required)
    Business manager.
    Enum: "SINCH_AMERICA", "SINCH_BR", "SINCH_MX", "SINCH_SEP", "SINCH_UK", "UNRECOGNIZED"

  - `payload.wabaBanState` (string)
    Please use get account endpoint for this information.
    Enum: "DISABLE", "REINSTATE", "SCHEDULE_FOR_DISABLE", "UNRECOGNIZED"

  - `payload.wabaBanDate` (string)
    Please use get account endpoint for this information.

  - `payload.compatibleRegions` (array, required)
    Conversation API app regions the sender can be used for.

  - `comment` (string)
    Comment for sender.

## Callback response 200:

  - `200` (unknown)
    Response to callback will be ignored. The call will retry if unsuccessful.

  - `200` (unknown)
    Response to callback will be ignored. The call will retry if unsuccessful.

  - `200` (unknown)
    Response to callback will be ignored. The call will retry if unsuccessful.

  - `200` (unknown)
    Response to callback will be ignored. The call will retry if unsuccessful.

  - `200` (unknown)
    Response to callback will be ignored. The call will retry if unsuccessful.

  - `200` (unknown)
    Response to callback will be ignored. The call will retry if unsuccessful.

  - `200` (unknown)
    Response to callback will be ignored. The call will retry if unsuccessful.

  - `200` (unknown)
    Response to callback will be ignored. The call will retry if unsuccessful.

  - `200` (unknown)
    Response to callback will be ignored. The call will retry if unsuccessful.

  - `200` (unknown)
    Response to callback will be ignored. The call will retry if unsuccessful.

